/[gentoo-x86]/dev-util/valgrind/files/valgrind-3.5.0-glibc-2.11.patch
Gentoo

Contents of /dev-util/valgrind/files/valgrind-3.5.0-glibc-2.11.patch

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.1 - (show annotations) (download)
Sun Nov 8 00:28:38 2009 UTC (4 years, 8 months ago) by griffon26
Branch: MAIN
Fixed valgrind bugs #285513 and #292231 as well as a QA issue.
(Portage version: 2.1.6.13/cvs/Linux x86_64)

1 diff -ruN valgrind-3.5.0/configure.in valgrind-3.5.0-fixed/configure.in
2 --- valgrind-3.5.0/configure.in 2009-11-07 23:34:37.000000000 +0100
3 +++ valgrind-3.5.0-fixed/configure.in 2009-11-07 23:38:14.000000000 +0100
4 @@ -656,6 +656,16 @@
5 ],
6 GLIBC_VERSION="2.10")
7
8 +AC_EGREP_CPP([GLIBC_211], [
9 +#include <features.h>
10 +#ifdef __GNU_LIBRARY__
11 + #if (__GLIBC__ == 2 && __GLIBC_MINOR__ == 11)
12 + GLIBC_211
13 + #endif
14 +#endif
15 +],
16 +GLIBC_VERSION="2.11")
17 +
18 AC_EGREP_CPP([AIX5_LIBC], [
19 #include <standards.h>
20 #if defined(_AIXVERSION_510) || defined(_AIXVERSION_520) || defined(_AIXVERSION_530)
21 @@ -742,6 +752,13 @@
22 DEFAULT_SUPP="glibc-2.34567-NPTL-helgrind.supp ${DEFAULT_SUPP}"
23 DEFAULT_SUPP="glibc-2.X-drd.supp ${DEFAULT_SUPP}"
24 ;;
25 + 2.11)
26 + AC_MSG_RESULT(2.11 family)
27 + AC_DEFINE([GLIBC_2_11], 1, [Define to 1 if you're using glibc 2.11.x])
28 + DEFAULT_SUPP="glibc-2.X.supp ${DEFAULT_SUPP}"
29 + DEFAULT_SUPP="glibc-2.34567-NPTL-helgrind.supp ${DEFAULT_SUPP}"
30 + DEFAULT_SUPP="glibc-2.X-drd.supp ${DEFAULT_SUPP}"
31 + ;;
32 aix5)
33 AC_MSG_RESULT(AIX 5.1 or 5.2 or 5.3)
34 AC_DEFINE([AIX5_LIBC], 1, [Define to 1 if you're using AIX 5.1 or 5.2 or 5.3])
35 @@ -755,7 +772,7 @@
36
37 *)
38 AC_MSG_RESULT(unsupported version)
39 - AC_MSG_ERROR([Valgrind requires glibc version 2.2 - 2.10])
40 + AC_MSG_ERROR([Valgrind requires glibc version 2.2 - 2.11])
41 AC_MSG_ERROR([or AIX 5.1 or 5.2 or 5.3 GLIBC_VERSION])
42 AC_MSG_ERROR([or Darwin libc])
43 ;;

  ViewVC Help
Powered by ViewVC 1.1.20